module CGaugesProblemsVariables
    use CProblemDifinition
	implicit none    
	public 
    type :: GaugesProblemsType
        type(CProblem) :: WeightIndicator
        type(CProblem) :: RotaryRpm
        type(CProblem) :: RotaryTorque
        type(CProblem) :: StandPipePressure
        type(CProblem) :: CasingPressure
        type(CProblem) :: Pump1Strokes
        type(CProblem) :: Pump2Strokes
        type(CProblem) :: ReturnLineTemperature
        type(CProblem) :: TripTank
        type(CProblem) :: PitGainLoss
        type(CProblem) :: MudTankVolume
        type(CProblem) :: ReturnMudFlow
        type(CProblem) :: TorqueLimit
        type(CProblem) :: PowerLimit
        type(CProblem) :: AccumulatorPressure
        type(CProblem) :: ManifoldPressure
        type(CProblem) :: AnnularPressure
        type(CProblem) :: RigAirPressure
        type(CProblem) :: StandPipe1
        type(CProblem) :: StandPipe2
        type(CProblem) :: DrillPipePressure
        type(CProblem) :: ChokePosition
        type(CProblem) :: CasingPressure2
    end type GaugesProblemsType
    
    contains 
        
end module CGaugesProblemsVariables